//
//  HWMStatusBarMenuConfigDataSource.m
//  HWMUISDKNativeDemo
//
//

#import "HWMStatusBarMenuConfigDataSource.h"

@implementation HWMStatusBarMenuConfigDataSource

+ (instancetype)shareInstance {
    static id instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [[self alloc] init];
    });
    return instance;
}

- (NSArray<HWMStatusBarItemModel *> *)buildRecordMenuItems {
    NSMutableArray * items = [NSMutableArray array];
    if (self.isShowRecord) {
        HWMStatusBarItemModel * recordModel = [HWMStatusBarItemModel defaultStatusBarRecordMenu];
        [items addObject:recordModel];
    }
    return items;
}

@end
